import request from '@/utils/request'
import { URL } from '@/config'

export function getBaseList(params) {
  return request({
    url: URL.edu.classescategory.getList,
    method: 'get',
    params,
  })
}

export function getChooseList(params) {
  return request({
    url: URL.edu.classescategory.getChooseList,
    method: 'get',
    params,
  })
}

export function doEdit(data) {
  return request({
    url: URL.edu.classescategory.add,
    method: 'post',
    data,
  })
}

export function editState(data) {
  return request({
    url: URL.edu.classescategory.editState,
    method: 'post',
    data,
  })
}

export function doDelete(data) {
  return request({
    url: URL.edu.classescategory.doDelete,
    method: 'post',
    data,
  })
}
